0

I'm still using smarty 2, PHP 7.4, drupal 7.99 (note: I have a test site for php 8 and smarty 3 and there are problems with both)

After upgrading from civicrm 5.69.4 to 5.70.0 getting the following error on event registration:

Message was not parsed due to invalid smarty syntax : Smarty error: [in evaluated template line 476]: syntax error: invalid attribute name: '=' (Smarty_Compiler.class.php, line 1549)

I tried rolling back the code and that doesn't fix it, which would imply a database change, but I don't see any db sql in the incremental files.

FWIW, the registration goes through but the confirmation email is not generated.

1

1 Answer 1

1

I was able to restore values in civicrm_msg_template from a backup which seems to have allowed me to roll back to 5.69.4.

Will check out github.com/civicrm/civicrm-core/pull/29428 for https://lab.civicrm.org/dev/core/-/issues/5006 as per Demerit's comment.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.